/* 
 * SimCoupe : Copyright (c) Allan Skillman 1996.
 *
 * File audio.h	- Public interface to Aley Keprt's SAA emulator TSR
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 */
#ifndef _AUDIO_H
#define _AUDIO_H

/* Audio TSR functions */
#define	AUDIO_TSR_OPEN		0x01
#define AUDIO_TSR_RESET		0x02
#define AUDIO_TSR_UPDATE	0x03
#define AUDIO_TSR_CLOSE		0x04
#define AUDIO_TSR_NAME		0x05
#define AUDIO_TSR_DEVICE	0x06
#define AUDIO_TSR_MODE		0x07

/* Audio Public API prototypes */
uns8 *AudioTSROperation(int AudioTSRFunction);
uns8 *AudioInit(char *TheTSRFile);
void  AudioClose(void);

#endif