/* 
 * SimCoupe : Copyright (c) Allan Skillman 1996.
 *
 * File speaker.c : Low level PC speaker routines
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#include <stdio.h>
 
#include <pc.h>

#include "z80.h" 
#include "speaker.h"

void
SpeakerOn( void )
{

	outportb(0x61, inportb(0x61) | 0x03);

}

void
SpeakerOff( void )
{

	outportb(0x61, inportb(0x61) & ~0x03);

}
