/* 
 * SimCoupe : Copyright (c) Allan Skillman 1996.
 *
 * File interface.h - User interface implementation using libSCdialog 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

enum EntryTypes {UI_MENU, UI_DISK1, UI_DISK2};

void ui_init(void);
void ui_end(void);
void ui_enter(void);
void ui_leave(void);

void ui_set_button_state(int ButtonState );
void ui_set_pointer_position( int PointerDeltaX, int PointerDeltaY );
void ui_pointer_draw(void);
void ui_pointer_erase(void);

void ui_event(void);

void ui_test_start(void);
void ui_test_end(void);
void ui_banner(void);
void ui_end_banner(void);

void ui_main(int InterfaceEntry);
void ui_main_end(void);

extern UiActive;
